import torch.nn as nn
from ..config import registry



@registry.layers.register("LMHead")
class LMHead(nn.Module):
    def __init__(self, n_in: int, n_out: int, bias: bool) -> None:
        super().__init__()
        self.predictor = nn.Linear(n_in, n_out, bias=bias)
        
    def forward(self, x):
        return self.predictor(x)
    
    
@registry.layers.register("Linear")
def Linear(n_in: int, n_out: int, bias: bool = True):
    return nn.Linear(in_features=n_in, out_features=n_out, bias=bias)